# $Revision: 1.33 $, $Date: 2002/10/05 12:15:23 $
#
# TODO:  Tests should be enabled.
# FIXME: Removing of Carp::Clan shoud happen in %prep.
#        But tests will fail then.
# TODO:  Inform author about the namespace conflict with perl-Bit-Vector.
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Calc
Summary:	Date::Calc - Gregorian calendar date calculations
Summary(pl):	Modu Date::Calc - obliczajcy daty na podstawie kalendarza gregoriaskiego
Name:		perl-Date-Calc
Version:	5.3
Release:	1
License:	GPL/LGPL or Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-Bit-Vector >= 5.7
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package consists of a C library and a Perl module (which uses the
C library, internally) for all kinds of date calculations based on the
Gregorian calendar (the one used in all western countries today),
thereby complying with all relevant norms and standards:
ISO/R 2015-1971, DIN 1355 and, to some extent, ISO 8601 (where
applicable).

%description -l pl
Ten pakiet zawiera bibliotek C i modu Perla (uywajcy wewntrznie
tej biblioteki) do wszystkich rodzajw oblicze na datach bazujcych
na kalendarzu gregoriaskim (uywanym we wszystkich zachodnich
pastwach), zgodnie z normami i standardami: ISO/R 2015-1971, DIN 1355
i, do pewnego stopnia, ISO 8601.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

#%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a tools $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f GNU_{,L}GPL.txt Artistic.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%dir %{perl_sitearch}/Date
%{perl_sitearch}/Date/*.pm
%dir %{perl_sitearch}/Date/Calc
%{perl_sitearch}/Date/Calc/*.pm
%dir %{perl_sitearch}/Date/Calendar
%{perl_sitearch}/Date/Calendar/*.pm
%dir %{perl_sitearch}/auto/Date
%dir %{perl_sitearch}/auto/Date/Calc
%{perl_sitearch}/auto/Date/Calc/Calc.bs
%attr(755,root,root) %{perl_sitearch}/auto/Date/Calc/Calc.so
%{_mandir}/man3/Date*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Date-Calc.spec,v $
Revision 1.33  2002/10/05 12:15:23  ankry
- (auto)updated

Revision 1.32  2002/09/26 15:18:56  ankry
- version 5.2, release 1

Revision 1.31  2002/09/14 12:52:17  qboosh
- added pl description, release 2

Revision 1.30  2002/09/12 22:21:19  radek
- version 5.1
- provided informative summary/description
STBR

Revision 1.29  2002/07/16 23:30:05  ankry
- fix License field, remove License files
- added %%{perl_sitearch}/Date and %%{perl_sitearch}/auto/Date dirs
- release 10

Revision 1.28  2002/07/16 11:47:41  ankry
- translations, cleaning
- release 9

Revision 1.27  2002/07/14 02:23:07  qboosh
- removed Carp::Clan - it's in required perl-Bit-Vector now
- release 8

Revision 1.26  2002/07/13 23:06:36  qboosh
- added missing files, BR: perl-Bit-Vector
- new %%doc, cosmetics, release 7

Revision 1.25  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/03/10 18:48:54  djrzulf
- added missed (?) Carp file,
- Release 6,
- STBR

Revision 1.22  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:11:02  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:25:07  depesz
adapterized

Revision 1.18  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/29 19:56:25  kloczek
- release 3.

Revision 1.16  2001/10/26 11:20:14  blues
- release 2
- removed Carp man page to avoid conflicts with perl-Bit-Vector
NOTE: maybe move Carp:Clan to separate package?

Revision 1.15  2001/10/18 10:44:11  mis
- autoupdated to 5.0

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:07:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 22:27:09  kloczek
- typos.

Revision 1.9  2000/12/30 22:20:03  kloczek
- missing %%{version} macro in %install.

Revision 1.8  2000/12/30 22:16:52  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:40:05  pius
- updated to 4.3

Revision 1.2  1999/11/04 21:24:39  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
